View Issue Details

IDProjectCategoryView StatusLast Update
0002854Ham Radio DeluxeBugpublic2018-09-11 13:18
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.4.0.876 
Target VersionFixed in Version6.4.0.886 
Summary0002854: Logbook: IOTA list is leaked at shutdown
DescriptionApp Verifier detects that an XML document related to the DX Cluster Filter object is leaked at shutdown.


Steps To ReproduceFound with App Verifier.
Additional Information

=======================================
VERIFIER STOP 00000202: pid 0x4A08: Freeing heap block containing an active critical section. 

    13687464 : Critical section address. Run !cs -s <address> to get more information.
    0844AB54 : Critical section initialization stack trace. Run dps <address> to dump the stack trace.
    13687458 : Heap block address.
    0000002C : Heap block size.


=======================================
This verifier stop is continuable.
After debugging it use `go' to continue.

=======================================

(4a08.bd4): Break instruction exception - code 80000003 (first chance)
eax=22ca0cb0 ebx=00000000 ecx=000001a1 edx=270ced11 esi=0f8444c8 edi=13687464
eip=62453ae8 esp=270cee7c ebp=270cf090 iopl=0         nv up ei pl nz na po nc
cs=0023  ss=002b  ds=002b  es=002b  fs=0053  gs=002b             efl=00000202
vrfcore!VerifierStopMessageEx+0x5b8:
62453ae8 cc              int     3
0:015> dps 0844AB54
0844ab54  0847bac4
0844ab58  0000a001
0844ab5c  0015039d
0844ab60  0f829603 vfbasics!AVrfpInitializeCriticalSectionCommon+0xf6
0844ab64  0f829751 vfbasics!AVrfpRtlInitializeCriticalSection+0x11
0844ab68  6526cb15 msxml6!SafeInitializeCriticalSection+0x18 [onecore\enduser\sql\xml\msxml6\core\base\mt.cxx @ 99]
0844ab6c  652703cc msxml6!X_CRITICAL_SECTION::Initialize+0x11 [onecore\enduser\sql\xml\msxml6\core\base\mt.cxx @ 114]
0844ab70  652695c0 msxml6!Document::init+0x90 [onecore\enduser\sql\xml\msxml6\xml\om\document.cxx @ 172]
0844ab74  65244aa9 msxml6!_createDOMDocument+0x1d [onecore\enduser\sql\xml\msxml6\xml\om\xmldocument.cxx @ 29]
0844ab78  65244bba msxml6!CreateDOMDocument+0x3a [onecore\enduser\sql\xml\msxml6\xml\om\xmldocument.cxx @ 67]
0844ab7c  65244e06 msxml6!ClassFactory::CreateInstance+0x66 [onecore\enduser\sql\xml\msxml6\core\com\classfactory.cxx @ 66]
0844ab80  770db6d5 combase!ICoCreateInstanceEx+0x665 [onecore\com\combase\objact\objact.cxx @ 1823]
0844ab84  770daec5 combase!CComActivator::DoCreateInstance+0x175 [onecore\com\combase\objact\immact.hxx @ 394]
0844ab88  770daccd combase!CoCreateInstance+0xad [onecore\com\combase\objact\actapi.cxx @ 121]
0844ab8c  01da72f0 HRDLogbook!CXMLMgr::Initialize+0x40 [c:\ham radio\hrdcommon\xmlmgr.cpp @ 342]
0844ab90  01b61eb2 HRDLogbook!CHRDLogbookApp::LoadIOTA+0x112 [c:\ham radio\logbook\hrdlogbook\hrdlogbook.cpp @ 1592]
0844ab94  01b642e0 HRDLogbook!CHRDLogbookApp::InitInstance+0xef0 [c:\ham radio\logbook\hrdlogbook\hrdlogbook.cpp @ 781]
0844ab98  02c2b52e HRDLogbook!AfxWinMain+0xae [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\winmain.cpp @ 37]
0844ab9c  02c2a9f8 HRDLogbook!wWinMain+0x18 [f:\dd\vctools\vc7libs\ship\atlmfc\src\mfc\appmodul.cpp @ 26]
0844aba0  02332208 HRDLogbook!__tmainCRTStartup+0x128 [f:\dd\vctools\crt\crtw32\startup\crt0.c @ 251]
0844aba4  023323ed HRDLogbook!wWinMainCRTStartup+0xd [f:\dd\vctools\crt\crtw32\startup\crt0.c @ 165]
0844aba8  75408484 KERNEL32!BaseThreadInitThunk+0x24
0844abac  77792fea ntdll!RtlValidSecurityDescriptor+0x11a
0844abb0  77792fba ntdll!RtlValidSecurityDescriptor+0xea
0844abb4  085c5ad4
0844abb8  0000a013
0844abbc  0015072e
0844abc0  0f2fc696 verifier!AVrfpDphNormalHeapFree+0xb6
0844abc4  0f2fae23 verifier!AVrfDebugPageHeapFree+0xe3
0844abc8  77812ff1 ntdll!RtlpNtSetValueKey+0x3cf1
0844abcc  777726f5 ntdll!RtlGetCurrentServiceSessionId+0xf5
0844abd0  777722c2 ntdll!RtlFreeHeap+0x222


TagsNo tags attached.
ModuleLogbook
Sub-ModuleIOTA
Testing Beta Successful

Relationships

Activities

K7ZCZ

2018-08-25 11:37

manager   ~0006003

Fixed in this checkin
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4305

This isn't an issue that is readily verified by end-users

WA9PIE

2018-09-07 16:58

administrator   ~0006121

Unable to test. Accepting this as validated; developer managed topic.

Issue History

Date Modified Username Field Change
2018-08-23 09:55 K7ZCZ New Issue
2018-08-25 11:37 K7ZCZ Assigned To => K7ZCZ
2018-08-25 11:37 K7ZCZ Status new => resolved
2018-08-25 11:37 K7ZCZ Resolution open => fixed
2018-08-25 11:37 K7ZCZ Note Added: 0006003
2018-08-29 18:39 K7ZCZ Fixed in Version => 6.4.0.877
2018-09-07 16:58 WA9PIE Status resolved => closed
2018-09-07 16:58 WA9PIE Steps to Reproduce Updated View Revisions
2018-09-07 16:58 WA9PIE Additional Information Updated View Revisions
2018-09-07 16:58 WA9PIE Testing Not Started => Beta Successful
2018-09-07 16:58 WA9PIE Note Added: 0006121
2018-09-11 13:15 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-09-11 13:18 WA9PIE Fixed in Version 6.4.0.877 => 6.4.0.886